NumericFieldStats.Stats (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search, class: NumericFieldStats, record: Stats

Package org.apache.lucene.search

# Record Class NumericFieldStats.Stats

java.lang.Object
java.lang.Record
org.apache.lucene.search.NumericFieldStats.Stats

Record Components:
  `min` - the global minimum value
  `max` - the global maximum value
  `docCount` - the total number of documents containing the field

Enclosing class:
  `NumericFieldStats`

public static record NumericFieldStats.Stats(long min, long max, int docCount) extends Record
Holds the global statistics for a numeric field.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Stats(long min, long max, int docCount)`
  Creates an instance of a `Stats` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `docCount()`
  Returns the value of the `docCount` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `max()`
  Returns the value of the `max` record component.
  `long`
  `min()`
  Returns the value of the `min` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Stats

    public Stats(long min, long max, int docCount)
    Creates an instance of a `Stats` record class.
    Parameters:
      `min` - the value for the `min` record component
      `max` - the value for the `max` record component
      `docCount` - the value for the `docCount` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### min

    public long min()
    Returns the value of the `min` record component.
    Returns:
      the value of the `min` record component

  - ### max

    public long max()
    Returns the value of the `max` record component.
    Returns:
      the value of the `max` record component

  - ### docCount

    public int docCount()
    Returns the value of the `docCount` record component.
    Returns:
      the value of the `docCount` record component